Gstreamer: ipcpipeline or proxy

Hi,

I am using the UBUNTU 16.04 on the Jetson TX2. I cannot use the Gstreamer elements ipcpipeline or proxy which are part of the latest GStreamer releases.
Am I supposed to find them?

https://gstreamer.freedesktop.org/data/doc/gstreamer/head/gst-plugins-bad/html/gst-plugins-bad-plugins-proxysink.html#GstProxySink-struc
https://gstreamer.freedesktop.org/data/doc/gstreamer/head/gst-plugins-bad/html/gst-plugins-bad-plugins-plugin-ipcpipeline.html
Thanks.

Hi,
The gstreamer version is 1.14.1 in r32.1. You may follow [GTREAMER BUILD INSTRUCTION] to upgrade to 1.16.0 and try again.

Hi,

I have tried to install 1.14.2 on 28.1. Though it was installed I could not connect to the GStreamer libraries from QT, althouhg I’ve set all Env params per the installation procedure.
QT is still pulling the libraries from /usr/lib and not from the the directory where I installed the new GStreamer version.

Any suggestions?

Hi,
NVIDIA plugins on r28.1 is built with gstreamer v1.8.3. Deviation in header files may lead to the failure. Suggest you base on r32.1/r32.2 for the upgrade.